package com.project.zcustom.mapper.unit;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.project.zcustom.domain.addional.LargeUnit;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * 地区编码Mapper接口
 *
 * @author change
 * @date 2024-12-30
 */
public interface LargeUnitMapper extends BaseMapper<LargeUnit>
{
    /**
     * 查询地区编码
     *
     * @param id 地区编码主键
     * @return 地区编码
     */
    public LargeUnit selectLargeUnitById(Long id);

    /**
     * 查询地区编码列表
     *
     * @param largeUnit 地区编码
     * @return 地区编码集合
     */
    public List<LargeUnit> selectLargeUnitList(LargeUnit largeUnit);

    /**
     * 新增地区编码
     *
     * @param largeUnit 地区编码
     * @return 结果
     */
    public int insertLargeUnit(LargeUnit largeUnit);

    /**
     * 修改地区编码
     *
     * @param largeUnit 地区编码
     * @return 结果
     */
    public int updateLargeUnit(LargeUnit largeUnit);

    /**
     * 删除地区编码
     *
     * @param id 地区编码主键
     * @return 结果
     */
    public int deleteLargeUnitById(Long id);

    /**
     * 批量删除地区编码
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLargeUnitByIds(Long[] ids);

    /**
    * 真删接口
    */
    Integer reallyDeleteByWrapper(@Param(Constants.WRAPPER) LambdaQueryWrapper<LargeUnit> deleteWrapper);

    public List<LargeUnit> getProjectCameraNumList();

    public int getConnectUnitNum();

    public List<LargeUnit> getAllCameraCondition();

    public LargeUnit getCameraConditionByAppOrg(String unitCode);
}
